<?php

function template_media()
{
	global $context, $scripturl, $txt, $settings, $func, $modSettings;

	// Show that nice link tree :P
	echo '
		<div style="padding: 3px;">
			', theme_linktree(), '
		</div>';

	echo $context['special'];

	// The top tabs.
	echo '
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td class="middletext">', $txt[139], ': ', $context['page_index'], '</td>
				<td align="right" style="padding-right: 1ex;">',
					media_tabs(), '
				</td>
			</tr>
		</table>';

	// The guud stuff right here :P
	echo '
		<table border="0" cellspacing="1" cellpadding="4" align="center" width="100%" class="bordercolor">';

	// Check if there are items to list
	if (empty($context['media_center']['attach']))
		echo '
			<tr>
				<td class="titlebg">', $txt['media_errors_no_items'], '</td>
			</tr>';
	else
	{
		// Open the tr
		echo '
			<tr>';

		// Check if they can listen to music or watch videos
		if (($context['sub_action'] == 'music' && $context['can_listen']) || ($context['sub_action'] == 'videos' && $context['can_see_videos']))
			echo '
				<td class="titlebg" width="4%" colspan="2">&nbsp;</td>';

		// The rest of the columns
		echo '
				<td class="titlebg"><a href="', $scripturl, '?action=mediacenter;sa=', $context['sub_action'], ';sort=filename', $context['sort_by'] == 'filename' && $context['sort_direction'] == 'up' ? ';desc' : '', '', isset($context['board_url']) ? ';mediaboards=' . $context['board_url'] : '', '', isset($context['topic_url']) ? ';mediabtopics=' . $context['topic_url'] : '', '">', $txt['media_file'], $context['sort_by'] == 'filename' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
				<td class="titlebg" width="7%" align="center"><a href="', $scripturl, '?action=mediacenter;sa=', $context['sub_action'], ';sort=filesize', $context['sort_by'] == 'filesize' && $context['sort_direction'] == 'up' ? ';desc' : '', '', isset($context['board_url']) ? ';mediaboards=' . $context['board_url'] : '', '', isset($context['topic_url']) ? ';mediabtopics=' . $context['topic_url'] : '', '">', $txt['media_size'], $context['sort_by'] == 'filesize' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
				<td class="titlebg" width="8%" align="center"><a href="', $scripturl, '?action=mediacenter;sa=', $context['sub_action'], ';sort=downloads', $context['sort_by'] == 'downloads' && $context['sort_direction'] == 'up' ? ';desc' : '', '', isset($context['board_url']) ? ';mediaboards=' . $context['board_url'] : '', '', isset($context['topic_url']) ? ';mediabtopics=' . $context['topic_url'] : '', '">', $txt['media_downloads'], $context['sort_by'] == 'downloads' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
				<td class="titlebg" width="25%"><a href="', $scripturl, '?action=mediacenter;sa=', $context['sub_action'], ';sort=subject', $context['sort_by'] == 'subject' && $context['sort_direction'] == 'up' ? ';desc' : '', '', isset($context['board_url']) ? ';mediaboards=' . $context['board_url'] : '', '', isset($context['topic_url']) ? ';mediabtopics=' . $context['topic_url'] : '', '">', $txt['media_topic'], $context['sort_by'] == 'subject' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
				<td class="titlebg" width="20%"><a href="', $scripturl, '?action=mediacenter;sa=', $context['sub_action'], ';sort=poster', $context['sort_by'] == 'poster' && $context['sort_direction'] == 'up' ? ';desc' : '', '', isset($context['board_url']) ? ';mediaboards=' . $context['board_url'] : '', '', isset($context['topic_url']) ? ';mediabtopics=' . $context['topic_url'] : '', '">', $txt['media_by'], $context['sort_by'] == 'poster' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></td>';

		echo '
			</tr>';

		// Buehe!!
		foreach ($context['media_center']['attach'] as $attach)
		{
			echo '
			<tr>';

			// The can they download or play?
			if (($context['sub_action'] == 'music' && $context['can_listen']) || ($context['sub_action'] == 'videos' && $context['can_see_videos']))
				echo '
				<td class="windowbg2" width="2%" align="center"><a href="', $attach['file']['href'], '" onclick="return reqWin(\'' .$attach['file']['href'] . '\', \'' . (($context['sub_action'] == 'music' ? $modSettings['media_music_width'] : $modSettings['media_videos_width']) + 20) . '\', \'' . (($context['sub_action'] == 'music' ? $modSettings['media_music_height'] : $modSettings['media_videos_width']) + 40) . '\', true);"><img src="', $settings['default_theme_url'], '/images/icons/', $context['sub_action'] == 'music' ? 'media_audio' : 'media_video', '.gif" alt="', $txt['media_tabs_music'], '" /></a></td>
				<td class="windowbg2" width="2%" align="center"><a href="', $attach['file']['download'], '"><img src="', $settings['default_theme_url'], '/images/icons/media_download.gif" alt="', $txt['media_downloads'], '" /></a></td>';

			// The other columns
			echo '
				<td class="windowbg">', $attach['file']['filename'], '</td>
				<td class="windowbg2" align="center">', $attach['file']['filesize'], '</td>
				<td class="windowbg2" align="center">', $attach['file']['downloads'], '</td>
				<td class="windowbg">', $attach['topic']['link'], '</td>
				<td class="windowbg2">
					', $attach['member']['link'], '<br />
					<span class="smalltext"><b>', $func['ucwords']($txt[176]), ':</b> ', $attach['topic']['time'], '</span>
				</td>';

			echo '
			</tr>';
		}

		// Are we cleaning file name?  If so then show a notice
		if (empty($modSettings['media_disable_filename_filter']))
			echo '
			<tr>
				<td class="windowbg3 smalltext" colspan="7">', $txt['media_notice_sorting'], '</td>
			</tr>';
	}

	// Close the guud stuff
	echo '
		</table>';

	// Bottom tabs
	echo '
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td class="middletext">', $txt[139], ': ', $context['page_index'], '</td>
				<td align="right" style="padding-right: 1ex;">',
					media_tabs('bottom'), '
				</td>
			</tr>
		</table>';

	echo '
		<div class="smalltext" align="center" style="clear: both;">
			<a href="http://JayBachatero.com">Media Center Mod 1.0 &copy; 2006, JayBachatero</a>
		</div>';
}

function template_images()
{
	global $context, $txt, $settings, $scripturl, $modSettings, $func;

	// Show that nice link tree :P
	echo '
		<div style="padding: 3px;">
			', theme_linktree(), '
		</div>';

	echo $context['special'];

	// The top tabs.
	echo '
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td class="middletext">', $txt[139], ': ', $context['page_index'], '</td>
				<td align="right" style="padding-right: 1ex;">',
					media_tabs(), '
				</td>
			</tr>
		</table>';

	// Ok lets get the template ready
	echo '
		<table border="0" cellspacing="1" cellpadding="4" align="center" width="100%" class="bordercolor">';

	// Check if there are items to list
	if (empty($context['media_center']['attach']))
	{
		echo '
			<tr>
				<td class="titlebg">', $txt['media_errors_no_items'], '</td>
			</tr>';
	}
	else
	{
		// The columns for sorting.
		echo '
			<tr>
				<td class="titlebg" width="20%" align="center"><a href="', $scripturl, '?action=mediacenter;sa=', $context['sub_action'], ';sort=filename', $context['sort_by'] == 'filename' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt['media_file'], $context['sort_by'] == 'filename' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
				<td class="titlebg" width="20%" align="center"><a href="', $scripturl, '?action=mediacenter;sa=', $context['sub_action'], ';sort=filesize', $context['sort_by'] == 'filesize' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt['media_size'], $context['sort_by'] == 'filesize' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
				<td class="titlebg" width="20%" align="center"><a href="', $scripturl, '?action=mediacenter;sa=', $context['sub_action'], ';sort=downloads', $context['sort_by'] == 'downloads' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt['media_downloads'], $context['sort_by'] == 'downloads' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
				<td class="titlebg" width="20%" align="center"><a href="', $scripturl, '?action=mediacenter;sa=', $context['sub_action'], ';sort=subject', $context['sort_by'] == 'subject' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt['media_topic'], $context['sort_by'] == 'subject' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
				<td class="titlebg" width="20%" align="center"><a href="', $scripturl, '?action=mediacenter;sa=', $context['sub_action'], ';sort=poster', $context['sort_by'] == 'poster' && $context['sort_direction'] == 'up' ? ';desc' : '', '">', $txt['media_by'], $context['sort_by'] == 'poster' ? ' <img src="' . $settings['images_url'] . '/sort_' . $context['sort_direction'] . '.gif" alt="" />' : '', '</a></td>
			</tr>';

		// The images
		echo '
			<tr>
				<td colspan="5" style="padding: 0;">
					<table border="0" cellspacing="0" cellpadding="0" align="center" width="100%">';

		// These settings are used for the table columns.  2 columns is the recomended value.
		$alternate = true;
		$counter = 0;
		$columns = 2;
		$width = 100 / $columns;

		// Loop through the images and show them.
		foreach ($context['media_center']['attach'] as $attach)
		{
			if ($counter == 0)
				echo '
						<tr>';

			echo '
							<td class="', $alternate ? 'windowbg' : 'windowbg2', '" width="', round($width), '%">
								<table border="0" cellspacing="0" cellpadding="4" class="tableborder">
									<tr>
										<td rowspan="7">
											<table border="0" cellspacing="0" cellpadding="2">
												<tr>
													<td>', $attach['file']['href'], '</td>
												</tr>';
										
										// Can they download images?
										if ($context['can_see_images'])
											echo '
												<tr>
													<td align="center"><a href="', $attach['file']['download'], '"><img src="', $settings['default_theme_url'], '/images/icons/media_download.gif" alt="', $txt['media_downloads'], '" /></a></td>
												</tr>';

			echo '
											</table>
										</td>
										<td valign="top">
											<table border="0" cellspacing="0" cellpadding="2">
												<tr>
													<td class="smalltext"><b>', $txt['media_file'], ': </b></td>
													<td class="smalltext">', $attach['file']['filename'], '</td>
												</tr><tr>
													<td class="smalltext"><b>', $txt['media_size'], ': </b></td>
													<td class="smalltext">', $attach['file']['filesize'], '</td>
												</tr><tr>
													<td class="smalltext"><b>', $txt['media_downloads'], ': </b></td>
													<td class="smalltext">', $attach['file']['downloads'], '</td>
												</tr><tr>
													<td class="smalltext"><b>', $txt['media_topic'], ': </b></td>
													<td class="smalltext">', $attach['topic']['link'], '</td>
												</tr><tr>
													<td class="smalltext"><b>', $txt['media_by'], ':</b> </td>
													<td class="smalltext">', $attach['member']['link'], '</td>
												</tr><tr>
													<td class="smalltext"><b>', $func['ucwords']($txt[176]), ':</b> </td>
													<td class="smalltext">', $attach['topic']['time'], '</td>
												</tr><tr>
													<td class="smalltext"><b>', $txt['media_width'], ': </b></td>
													<td class="smalltext">', $attach['file']['width'], ' px</td>
												</tr><tr>
													<td class="smalltext"><b>', $txt['media_height'], ': </b></td>
													<td class="smalltext">', $attach['file']['height'], ' px</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
							</td>';

			// Increase the counter 
			$counter++;

			// Close the tr
			if ($counter == $columns)
			{
				echo '
						</tr>';

				// Reset alterante and counter
				$alternate = !$alternate;
				$counter = 0;
			}

		}

		// Did we get to close the last tr?
		if ($counter != 0)
		{
			if ($columns - $counter > 0)
				for ($i = 0; $i < $columns - $counter; $i++)
					echo '
							<td class="', $alternate ? 'windowbg' : 'windowbg2', '" width="', round($width), '%">&nbsp;</td>';

			echo '
						</tr>';
		}

		// Close the table
		echo '
					</table>
				</td>
			</tr>';

		// Are we cleaning file name?  If so then show a notice
		if (empty($modSettings['media_disable_filename_filter']))
			echo '
			<tr>
				<td class="windowbg3 smalltext" colspan="5">', $txt['media_notice_sorting'], '</td>
			</tr>';

		echo '
		</table>';
	}

	// Bottom tabs
	echo '
		<table width="100%" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td class="middletext">', $txt[139], ': ', $context['page_index'], '</td>
				<td align="right" style="padding-right: 1ex;">',
					media_tabs('bottom'), '
				</td>
			</tr>
		</table>';

	echo '
		<div class="smalltext" align="center" style="clear: both;">
			<a href="http://JayBachatero.com">Media Center Mod 1.0 &copy; 2006, JayBachatero</a><br />
		</div>';
}

function template_media_popup()
{
	global $context, $settings, $modSettings, $txt;

	// Header
	echo '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=' ,$context['character_set'], '" />
		<title>', $txt['media_player'], '</title>
		<style type="text/css">
			body
			{
				margin: 0;
			}
			/* These are used primarily for titles, but also for headers (the row that says what everything in the table is.) */
			.titlebg, tr.titlebg th, tr.titlebg td, .titlebg2, tr.titlebg2 th, tr.titlebg2 td
			{
				color: black;
				font-style: normal;
				background: url(', $settings['theme_url'], '/images/titlebg.jpg) #E9F0F6 repeat-x;
				border-bottom: solid 1px #9BAEBF;
				border-top: solid 1px #FFFFFF;
				padding-left: 10px;
				padding-right: 10px;
			}
			.titlebg, .titlebg a:link, .titlebg a:visited
			{
				font-weight: bold;
				color: black;
				font-style: normal;
			}
			
			.titlebg a:hover
			{
				color: #404040;
			}
		</style>
	</head>
	<body ', $context['media_center_popup'] == 'exit' ? 'onload="javascript:window.close();"' : '', '>';

	echo '
		<table border="0" width="100%" cellpadding="4" cellspacing="0">
			<tr>
				<td class="titlebg" align="center">', $txt['media_player'], ' - ', $context['media_center_popup'] == 'music' ? $txt['media_tabs_music'] : $txt['media_tabs_videos'], '</td>
			<tr>
			<tr>
				<td align="center">
					<object width="', $context['media_center_popup'] == 'music' ? $modSettings['media_music_width'] : $modSettings['media_videos_width'], 'px" height="', $context['media_center_popup'] == 'music' ? $modSettings['media_music_height'] : $modSettings['media_videos_height'], 'px">
						<param name="src" value="', $context['media_center_file'], '">
						<param name="autoplay" value="false">
						<param name="controller" value="true">
						<embed src="', $context['media_center_file'], '" autostart="true" loop="false" width="', $context['media_center_popup'] == 'music' ? $modSettings['media_music_width'] : $modSettings['media_videos_width'], '" height="', $context['media_center_popup'] == 'music' ? $modSettings['media_music_height'] : $modSettings['media_videos_height'], '" controller="true"></embed>
					</object>
    				</td>
			</tr>
		</table>';

	// Footer
	echo '
	</body>
</html>';
}

function media_tabs($direction = 'top')
{
	global $context, $settings;

	// shall we use the tabs?
	if (!empty($settings['use_tabs']))
	{
		// The admin tabs.
		echo '
					<table cellpadding="0" cellspacing="0" border="0" style="margin-left: 10px;">
						<tr>
							<td class="', $direction == 'top' ? 'mirror' : 'main', 'tab_first">&nbsp;</td>';

		// Print out all the items in this tab.
		foreach ($context['media_center']['tabs'] as $tab)
		{
			if (!empty($tab['is_selected']) && $tab['is_allowed'])
			{
				echo '
							<td class="', $direction == 'top' ? 'mirror' : 'main', 'tab_active_first">&nbsp;</td>
							<td valign="top" class="', $direction == 'top' ? 'mirror' : 'main', 'tab_active_back">
								<a href="', $tab['href'], '">', $tab['title'], '</a>
							</td>
							<td class="', $direction == 'top' ? 'mirror' : 'main', 'tab_active_last">&nbsp;</td>';
			}
			elseif ($tab['is_allowed'])
				echo '
							<td valign="top" class="', $direction == 'top' ? 'mirror' : 'main', 'tab_back">
								<a href="', $tab['href'], '">', $tab['title'], '</a>
							</td>';
		}

		// the end of tabs
		echo '
							<td class="', $direction == 'top' ? 'mirror' : 'main', 'tab_last">&nbsp;</td>
						</tr>
					</table>';
	}
	// ...if not use the old style
	else
	{
		echo '
					<table cellpadding="0" cellspacing="0" border="0" style="margin-left: 10px;">
						<tr>
							<td align="right"><b>';

		// Print out all the items in this tab.
		foreach ($context['media_center']['tabs'] as $tab)
		{
			if (!empty($tab['is_selected']))
			{
				echo '
								<img src="', $settings['images_url'], '/selected.gif" alt="*" /> <b><a href="', $tab['href'], '">', $tab['title'], '</a></b>';

				$selected_tab = $tab;
			}
			else
				echo '
								<a href="', $tab['href'], '">', $tab['title'], '</a>';

			if (empty($tab['is_last']))
				echo ' | ';
		}

		echo '
							</b></td>
						</tr>
					</table>';
	}
}
?>